summaryrefslogtreecommitdiff
path: root/infra/scripts/test_arm_nnpkg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'infra/scripts/test_arm_nnpkg.sh')
-rw-r--r--infra/scripts/test_arm_nnpkg.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/infra/scripts/test_arm_nnpkg.sh b/infra/scripts/test_arm_nnpkg.sh
new file mode 100644
index 000000000..23759a319
--- /dev/null
+++ b/infra/scripts/test_arm_nnpkg.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+[[ "${BASH_SOURCE[0]}" != "${0}" ]] && echo "Please don't source ${BASH_SOURCE[0]}, execute it" && return
+
+CURRENT_PATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+ROOT_PATH="${CURRENT_PATH}/../../"
+
+pushd ${ROOT_PATH} > /dev/null
+
+EXITCODE=0
+PKG_LIST=$(cat tools/nnpackage_tool/nnpkg_test/list)
+for f in ${PKG_LIST}
+do
+ tools/nnpackage_tool/nnpkg_test/nnpkg_test.sh -d -i nnpkg-tcs $f
+ EXITCODE_F=$?
+
+ if [ ${EXITCODE_F} -ne 0 ]; then
+ EXITCODE=${EXITCODE_F}
+ fi
+done
+
+popd > /dev/null
+
+exit ${EXITCODE}